<!--预警机-->
<template>
    <div class="infoWindow-model">
        <div class="model-title">{{ currentPoint.name }}</div>
        <div class="section-container">
            <div class="section-item"  >
                <span class="text">预警机站名称</span>
                <span class="content">{{ currentPoint.name  }} </span>
            </div>
			<div class="section-item"  >
			    <span class="text">预警机站编码</span>
			    <span class="content">{{ currentPoint.code  }} </span>
			</div>
			<div class="section-item"  >
			    <span class="text">设备管理人</span>
			    <span class="content">{{ currentPoint.manager  }} </span>
			</div>
			<div class="section-item"  >
			    <span class="text">设备管理人电话</span>
			    <span class="content">{{ currentPoint.managerPhone  }} </span>
			</div>
			
			<div class="section-item"  >
			    <span class="text">安装详细地址</span>
			    <span class="content">{{ currentPoint.address  }} </span>
			</div>
			<!-- <div class="section-item"  >
			    <span class="text">运行状态</span>
			    <span class="content">{{ currentPoint.runStatus==1?'在线':currentPoint.runStatus==2?'掉线':currentPoint.runStatus==3?'损坏':''  }} </span>
			</div> -->
        </div>
    </div>
</template>

<script>
export default {
    name: 'WarnModel',
    props: {
        currentPoint: {
            type: Object,
            default: () => {
                return {}
            },
        },
    },
    data() {
        return {
            activeName: '河流详情',
        }
    },
    inject: ['mapData'],
    created() {
        let mapData = this.mapData()
        this.districtData = this.originData
        this.T = mapData.T
        this.map = mapData.map
    },
	
    mounted() {
        console.log(this.currentPoint, 'this.currentPoint')
    },
    beforeDestroy() {

    },
    methods: {
        handleClick(tab, event) {
            console.log(tab, event)
        },
    },
}
</script>

<style lang="scss" scoped>
@import './../../../css/model.scss';


</style>